Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.webdav.xml
Class DAVProperties

    java.lang.Object
      |
      +--org.w3c.www.webdav.xml.DAVNode
            |
            +--org.w3c.www.webdav.xml.DAVProperties

public class DAVProperties
extends DAVNode

Field Summary

Fields inherited from class org.w3c.www.webdav.xml.DAVNode
`ACTIVELOCK_NODE, ALLPROP_NODE, COLLECTION_NODE, CREATIONDATE_NODE, DEPTH_NODE, DISPLAYNAME_NODE, DST_NODE, element, EXCLUSIVE_NODE, GETCONTENTLANGUAGE_NODE, GETCONTENTLENGTH_NODE, GETCONTENTTYPE_NODE, GETETAG_NODE, GETLASTMODIFIED_NODE, HREF_NODE, KEEPALIVE_NODE, LINK_NODE, LOCKDISCOVERY_NODE, LOCKENTRY_NODE, LOCKINFO_NODE, LOCKSCOPE_NODE, LOCKTOKEN_NODE, LOCKTYPE_NODE, MULTISTATUS_NODE, OMIT_NODE, OWNER_NODE, PROP_NODE, PROPERTYBEHAVIOR_NODE, PROPERTYUPDATE_NODE, PROPFIND_NODE, PROPNAME_NODE, PROPSTAT_NODE, REMOVE_NODE, RESOURCETYPE_NODE, RESPONSE_NODE, RESPONSEDESC_NODE, SET_NODE, SHARED_NODE, SOURCE_NODE, SRC_NODE, STATUS_NODE, SUPPORTEDLOCK_NODE, TIMEOUT_NODE, WRITE_NODE`

Method Summary
`void` | `addProperty(java.lang.String name)`
`void` | `addProperty(java.lang.String name, java.lang.String value)`
`java.lang.String` | `getContentLanguage()`
`int` | `getContentLength()`
`java.lang.String` | `getContentType()`
`java.util.Date` | `getCreationDate()`
`java.lang.String` | `getDisplayName()`
`java.lang.String` | `getETag()`
`java.util.Date` | `getLastModified()`
`java.lang.String` | `getLockDiscovery()`
`org.w3c.dom.Element[]` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String propname)`
`java.lang.String[]` | `getPropertyNames()`
`java.lang.String` | `getResourceType()`
`DAVLink[]` | `getSources()`
`DAVLockEntry[]` | `getSupportedLocks()`
`void` | `setResourceType(java.lang.String type)`

Methods inherited from class org.w3c.www.webdav.xml.DAVNode
`addDAVNode, addDAVNode, addDAVNode, addDAVNodes, addNode, addNodeNS, addNodeNS, equals, exportChildren, getChildrenElements, getDAVElementsByTagName, getDAVElementsByTagName, getDAVNode, getDAVNode, getDAVNodeNames, getMultipleTextChildValue, getMultipleTextChildValue, getNode, getNodeNS, getNodeNS, getTextChildValue, getTextChildValue, getTextChildValueNS, getTextValue, importNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)

### addProperty

    public void addProperty(java.lang.String name)

### getProperties

    public org.w3c.dom.Element[] getProperties()

### getPropertyNames

    public java.lang.String[] getPropertyNames()

### getProperty

    public java.lang.String getProperty(java.lang.String propname)

### getCreationDate

    public java.util.Date getCreationDate()

### getDisplayName

    public java.lang.String getDisplayName()

### getContentLanguage

    public java.lang.String getContentLanguage()

### getContentType

    public java.lang.String getContentType()

### getContentLength

    public int getContentLength()

### getETag

    public java.lang.String getETag()

### getLastModified

    public java.util.Date getLastModified()

### getLockDiscovery

    public java.lang.String getLockDiscovery()

### getResourceType

    public java.lang.String getResourceType()

### getSources

    public DAVLink[] getSources()

### getSupportedLocks

    public DAVLockEntry[] getSupportedLocks()

### setResourceType

    public void setResourceType(java.lang.String type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD